Page MenuHomePhabricator

redis.log on fluorine flooded with "Used automatic re-authentication" messages
Closed, ResolvedPublic

Description

About 3-4k of these an hour:

2013-11-11 06:47:23 mw1006 enwiki: Used automatic re-authentication for Lua script <hex...>.

Filing under MediaWiki product because it seems unlikely that each message represents an actual disconnect and more likely that one error state is mistaken for another.

Re-authentication (+ logging) were added in https://gerrit.wikimedia.org/r/#/c/93872/ to work around https://github.com/nicolasff/phpredis/issues/403.


Version: unspecified
Severity: normal

Details

Reference
bz56886

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:27 AM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz56886.
bzimport added a subscriber: Unknown Object (MLST).
ori created this task.Nov 11 2013, 6:56 AM

Change 94848 had a related patch set uploaded by Tim Starling:
Disable client idle disconnection

https://gerrit.wikimedia.org/r/94848

The reauthentication hack of course will not work if anything other than luaEval() is called on the connection. It could be handled more completely in __call() -- if the return value is false, $conn->getLastError() could be checked.

Change 94935 had a related patch set uploaded by Aaron Schulz:
Expanded use of reauthenticateConnection() beyond just Lua calls

https://gerrit.wikimedia.org/r/94935

Change 94935 had a related patch set uploaded by Ori.livneh:
Expanded use of reauthenticateConnection() beyond just Lua calls

https://gerrit.wikimedia.org/r/94935

Change 94935 merged by jenkins-bot:
Expanded use of reauthenticateConnection() beyond just Lua calls

https://gerrit.wikimedia.org/r/94935

Change 94848 merged by Tim Starling:
Disable client idle disconnection

https://gerrit.wikimedia.org/r/94848

Ori: All patches were merged a while ago - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?